<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2022 Workiva-->
<!--r:c9347da4-4913-4b10-b542-aae2eb36f855,g:7b235727-1d09-44b1-886a-105855eb84dd-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.cvrenergy.com/role/Cover" xlink:type="simple" xlink:href="cvi-20220105.xsd#Cover"/>
  <link:presentationLink xlink:role="http://www.cvrenergy.com/role/Cover" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_CoverAbstract"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentType_87418034-b37d-4ea4-9dda-4f1e3832d4f2" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_DocumentType"/>
    <link:presentationArc order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_DocumentType_87418034-b37d-4ea4-9dda-4f1e3832d4f2" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_DocumentPeriodEndDate_96951970-2bc4-4b9d-842c-7c3eb214769e" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_DocumentPeriodEndDate"/>
    <link:presentationArc order="2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_DocumentPeriodEndDate_96951970-2bc4-4b9d-842c-7c3eb214769e" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityRegistrantName_8f1237e0-3cff-440c-be77-cc14e8407c88" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityRegistrantName"/>
    <link:presentationArc order="3" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_EntityRegistrantName_8f1237e0-3cff-440c-be77-cc14e8407c88" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityIncorporationStateCountryCode_269a0a9c-6730-40af-a142-798ecaf7b592" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityIncorporationStateCountryCode"/>
    <link:presentationArc order="4" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_EntityIncorporationStateCountryCode_269a0a9c-6730-40af-a142-798ecaf7b592" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityFileNumber_cad649ef-12bd-4425-a094-bd31c178feac" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityFileNumber"/>
    <link:presentationArc order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_EntityFileNumber_cad649ef-12bd-4425-a094-bd31c178feac" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityTaxIdentificationNumber_fc6112c7-807d-4016-a53b-7dc79dbfbe67" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityTaxIdentificationNumber"/>
    <link:presentationArc order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_EntityTaxIdentificationNumber_fc6112c7-807d-4016-a53b-7dc79dbfbe67" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressAddressLine1_8cdd36b7-48b9-4ad2-9c3e-fbbd9e48993f" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityAddressAddressLine1"/>
    <link:presentationArc order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_EntityAddressAddressLine1_8cdd36b7-48b9-4ad2-9c3e-fbbd9e48993f" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressCityOrTown_3b2cd841-f877-4033-8263-726c99ec9905" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityAddressCityOrTown"/>
    <link:presentationArc order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_EntityAddressCityOrTown_3b2cd841-f877-4033-8263-726c99ec9905" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressStateOrProvince_0e0b7987-4f98-4ef9-915c-9f911777d445" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityAddressStateOrProvince"/>
    <link:presentationArc order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_EntityAddressStateOrProvince_0e0b7987-4f98-4ef9-915c-9f911777d445" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityAddressPostalZipCode_c261c94c-2aca-41ef-91f3-deaba6e68c5d" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityAddressPostalZipCode"/>
    <link:presentationArc order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_EntityAddressPostalZipCode_c261c94c-2aca-41ef-91f3-deaba6e68c5d" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_CityAreaCode_9a3eb8e5-16b8-44b5-a570-ba572fd26381" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_CityAreaCode"/>
    <link:presentationArc order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_CityAreaCode_9a3eb8e5-16b8-44b5-a570-ba572fd26381" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_LocalPhoneNumber_a2f2fff5-ee5e-4a67-b965-17439b56bec4" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_LocalPhoneNumber"/>
    <link:presentationArc order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_LocalPhoneNumber_a2f2fff5-ee5e-4a67-b965-17439b56bec4" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_WrittenCommunications_57dcb5a8-3589-480e-9da6-c4f8480e8136" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_WrittenCommunications"/>
    <link:presentationArc order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_WrittenCommunications_57dcb5a8-3589-480e-9da6-c4f8480e8136" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SolicitingMaterial_40b7cb16-226f-45b8-a2d1-90038e2641af" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_SolicitingMaterial"/>
    <link:presentationArc order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_SolicitingMaterial_40b7cb16-226f-45b8-a2d1-90038e2641af" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementTenderOffer_ef098263-7131-4f77-86c7-e7522b9ddd83" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_PreCommencementTenderOffer"/>
    <link:presentationArc order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_PreCommencementTenderOffer_ef098263-7131-4f77-86c7-e7522b9ddd83" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_PreCommencementIssuerTenderOffer_ad253c4f-76a5-419a-9756-3a0217614661" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_PreCommencementIssuerTenderOffer"/>
    <link:presentationArc order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_PreCommencementIssuerTenderOffer_ad253c4f-76a5-419a-9756-3a0217614661" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_Security12bTitle_7617f103-b79c-48a2-a44c-0aea10550112" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_Security12bTitle"/>
    <link:presentationArc order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_Security12bTitle_7617f103-b79c-48a2-a44c-0aea10550112" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_TradingSymbol_feb47f9c-9903-49f1-b7e8-11883667aa0f" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_TradingSymbol"/>
    <link:presentationArc order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_TradingSymbol_feb47f9c-9903-49f1-b7e8-11883667aa0f" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_SecurityExchangeName_38afdf5c-229e-4bd3-9e88-18eb344943fb" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_SecurityExchangeName"/>
    <link:presentationArc order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_SecurityExchangeName_38afdf5c-229e-4bd3-9e88-18eb344943fb" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityEmergingGrowthCompany_4201120f-1d20-4015-89ee-1f696f4ccc11" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityEmergingGrowthCompany"/>
    <link:presentationArc order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_EntityEmergingGrowthCompany_4201120f-1d20-4015-89ee-1f696f4ccc11" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_EntityCentralIndexKey_fe8f4962-8eca-42c0-9b1d-780d12937dc3" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_EntityCentralIndexKey"/>
    <link:presentationArc order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_EntityCentralIndexKey_fe8f4962-8eca-42c0-9b1d-780d12937dc3" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
    <link:loc xlink:type="locator" xlink:label="loc_dei_AmendmentFlag_ac223ca7-c7a0-4810-93cc-80ddde40bb85" xlink:href="https://xbrl.sec.gov/dei/2021/dei-2021.xsd#dei_AmendmentFlag"/>
    <link:presentationArc order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="loc_dei_CoverAbstract_c358d671-e30c-4372-95d0-7ba063bb002f" xlink:to="loc_dei_AmendmentFlag_ac223ca7-c7a0-4810-93cc-80ddde40bb85" xlink:type="arc" preferredLabel="http://www.xbrl.org/2003/role/terseLabel"/>
  </link:presentationLink>
</link:linkbase>
